Arch Espace

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Space and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Page précédente: Arch Roof.svg Toiture
Page suivante: Escaliers Arch Stairs.svg Arrow-right.svg

Arch Space.svg Espace

Emplacement du menu
Arch → Space
Ateliers
Atelier Architecture
Raccourci par défaut
S P
Introduit dans la version
0.14
Voir aussi
Structure, Mur


Description

L'outil Espace vous permet de définir un volume vide, soit en le basant sur une forme solide, soit en définissant ses limites, soit en combinant les deux. S'il est basé uniquement sur des limites, le volume est calculé en partant du cadre de sélection de toutes les limites données et en soustrayant les espaces situés derrière chaque limite. L'objet spatial définit toujours un volume solide. La surface de plancher d'un objet d'espace, calculée en coupant un plan horizontal au centre de gravité du volume d'espace, peut également être affichée.

Arch Space example.jpg

L'objet Espace créé à partir d'un objet solide existant, deux faces de mur sont ajoutées en tant que limites.


Utilisation

  • Sélectionnez une face ou un objet existant
  • Cliquez le bouton Arch Space.svgEspace ou pressez les touches S, P

Limites

  • Les propriétés "Limites" ne sont pour le moment pas éditables via la GUI.
  • Voir sur le forum forum announcement.

Propriétés

  • DATABase: l'objet de base, le cas échéant (doit être un solide)
  • DATABoundaries: liste d'éléments de limite facultatifs.
  • DATAArea: la surface de plancher calculée de cet espace.
  • DATAFinishFloor: la finition du sol de cet espace.
  • DATAFinishWalls: la finition des murs de cet espace.
  • DATAFinishCeiling: la finition du plafond de cet espace.
  • DATAGroup: objets inclus dans cet espace, tels que des meubles.
  • DATASpaceType: le type de cet espace.
  • DATAFloorThickness: l'épaisseur de la finition du sol.
  • DATANumberOfPeople: le nombre de personnes qui occupent généralement cet espace.
  • DATALightingPower: la puissance électrique nécessaire pour éclairer cet espace en watts.
  • DATAEquipmentPower: la puissance électrique nécessaire à l'équipement de cet espace en watts.
  • DATAAutoPower: si la valeur est True, la puissance de l'équipement sera automatiquement renseignée par l'équipement inclus dans cet espace.
  • DATAConditioning: type de climatisation de cet espace.
  • DATAInternal: spécifie si cet espace est interne ou externe.
  • VIEWText: le texte à afficher. Utilisez $area, $label, $tag, $floor, $walls, $ceiling pour insérer les données respectives.
  • VIEWFontName: le nom de la police.
  • VIEWTextColor: la couleur du texte.
  • VIEWFontSize: la taille du texte.
  • VIEWFirstLine: la taille de la première ligne de texte (multiplie la taille de la police. 1 = même taille, 2 = double taille, etc...)
  • VIEWLineSpacing: l'espace entre les lignes de texte.
  • VIEWTextPosition: La position du texte. Laisser (0,0,0) pour la position automatique.
  • VIEWTextAlign: la justification du texte.
  • VIEWDecimals: nombre de décimales à utiliser pour les textes calculés.
  • VIEWShowUnit: affiche le suffixe de l'unité ou non.

Options

  • Pour créer des zones regroupant plusieurs espaces, utilisez Arch Partie de bâtiment et définissez son type IFC sur "Spatial Zone".
  • L'objet spatial a les mêmes modes d'affichage que les autres objets d'Arch et Part, avec un mode en plus appelé Footprint qui n'affiche que la face inférieure de l'espace. introduced in version 0.19

Script

Voir aussi : Arch API et FreeCAD Scripts de Base.

L'outil Espace peut être utilisé dans la console Python ou dans une macro en utilisant la fonction:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Crée un objet Space à partir de objects donné ou baseobj qui peut être:
    • un objet de document, auquel cas il devient la forme de base de l'objet d'espace, ou
    • une liste d'objets de sélection renvoyés par FreeCADGui.Selection.getSelectionEx(), ou
    • une liste de tuples (objet,subobjectname)

Exemple:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

Après avoir créé un objet Espace, les faces sélectionnées peuvent être ajoutées avec le code suivant:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

Les limites peuvent également être supprimées, à nouveau en sélectionnant les faces indiquées:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)
Arrow-left.svg Page précédente: Arch Roof.svg Toiture
Page suivante: Escaliers Arch Stairs.svg Arrow-right.svg